Package org.eclipse.rdf4j.model.vocabulary

## Class FN

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.FN

-     public class FN
      extends Object

  Defines constants for the standard XPath functions.
  Author:
    Jeen Broekstra
  See Also:
    XPath functions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CONCAT` | fn:concat
    `static IRI` | `CONTAINS` | fn:contains
    `static IRI` | `DAY_FROM_DATETIME` | fn:day-from-dateTime
    `static IRI` | `ENCODE_FOR_URI` | fn:encode-for-uri
    `static IRI` | `ENDS_WITH` | fn:ends-with
    `static IRI` | `HOURS_FROM_DATETIME` | fn:hours-from-dateTime
    `static IRI` | `LOWER_CASE` | fn:lower-case
    `static IRI` | `MINUTES_FROM_DATETIME` | fn:minutes-from-dateTime
    `static IRI` | `MONTH_FROM_DATETIME` | fn:month-from-dateTime
    `static String` | `NAMESPACE` | The XPath functions namespace ( http://www.w3.org/2005/xpath-functions#).
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the XPath Functions namespace.
    `static IRI` | `NUMERIC_ABS` | fn:numeric-abs
    `static IRI` | `NUMERIC_CEIL` | fn:numeric-ceil
    `static IRI` | `NUMERIC_FLOOR` | fn:numeric-floor
    `static IRI` | `NUMERIC_ROUND` | fn:numeric-round
    `static String` | `PREFIX` | Recommended prefix for the XPath Functions namespace: "fn"
    `static IRI` | `REPLACE` | fn:replace
    `static IRI` | `SECONDS_FROM_DATETIME` | fn:seconds-from-dateTime
    `static IRI` | `STARTS_WITH` | fn:starts-with
    `static IRI` | `STRING_LENGTH` | fn:string-length
    `static IRI` | `SUBSTRING` | fn:substring
    `static IRI` | `SUBSTRING_AFTER` | fn:substring-after
    `static IRI` | `SUBSTRING_BEFORE` | fn:substring-before
    `static IRI` | `TIMEZONE_FROM_DATETIME` | fn:timezone-from-dateTime
    `static IRI` | `UPPER_CASE` | fn:upper-case
    `static IRI` | `YEAR_FROM_DATETIME` | fn:year-from-dateTime

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FN()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The XPath functions namespace ( http://www.w3.org/2005/xpath-functions#).
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the XPath Functions namespace: "fn"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the XPath Functions namespace.

    - #### CONCAT

          public static final IRI CONCAT

      fn:concat

    - #### CONTAINS

          public static final IRI CONTAINS

      fn:contains

    - #### DAY_FROM_DATETIME

          public static final IRI DAY_FROM_DATETIME

      fn:day-from-dateTime

    - #### ENCODE_FOR_URI

          public static final IRI ENCODE_FOR_URI

      fn:encode-for-uri

    - #### ENDS_WITH

          public static final IRI ENDS_WITH

      fn:ends-with

    - #### HOURS_FROM_DATETIME

          public static final IRI HOURS_FROM_DATETIME

      fn:hours-from-dateTime

    - #### LOWER_CASE

          public static final IRI LOWER_CASE

      fn:lower-case

    - #### MINUTES_FROM_DATETIME

          public static final IRI MINUTES_FROM_DATETIME

      fn:minutes-from-dateTime

    - #### MONTH_FROM_DATETIME

          public static final IRI MONTH_FROM_DATETIME

      fn:month-from-dateTime

    - #### NUMERIC_ABS

          public static final IRI NUMERIC_ABS

      fn:numeric-abs

    - #### NUMERIC_CEIL

          public static final IRI NUMERIC_CEIL

      fn:numeric-ceil

    - #### NUMERIC_FLOOR

          public static final IRI NUMERIC_FLOOR

      fn:numeric-floor

    - #### NUMERIC_ROUND

          public static final IRI NUMERIC_ROUND

      fn:numeric-round

    - #### REPLACE

          public static final IRI REPLACE

      fn:replace

    - #### SECONDS_FROM_DATETIME

          public static final IRI SECONDS_FROM_DATETIME

      fn:seconds-from-dateTime

    - #### STARTS_WITH

          public static final IRI STARTS_WITH

      fn:starts-with

    - #### STRING_LENGTH

          public static final IRI STRING_LENGTH

      fn:string-length

    - #### SUBSTRING

          public static final IRI SUBSTRING

      fn:substring

    - #### SUBSTRING_BEFORE

          public static final IRI SUBSTRING_BEFORE

      fn:substring-before

    - #### SUBSTRING_AFTER

          public static final IRI SUBSTRING_AFTER

      fn:substring-after

    - #### TIMEZONE_FROM_DATETIME

          public static final IRI TIMEZONE_FROM_DATETIME

      fn:timezone-from-dateTime

    - #### UPPER_CASE

          public static final IRI UPPER_CASE

      fn:upper-case

    - #### YEAR_FROM_DATETIME

          public static final IRI YEAR_FROM_DATETIME

      fn:year-from-dateTime

  - ### Constructor Detail

    - #### FN

          public FN()